SystemOrganization addCategory: 'OrbeonBizagiSvgConverter'!

!XPDLEndNode methodsFor: '*orbeonBizagiSvgConverter' stamp: 'BrunoBB 09/10/2016 08:22'!
drawOn: aJasvgiBpmCanvas

	^aJasvgiBpmCanvas drawEndNamed: self getName at: self getXcoordinate @ self getYcoordinate! !

!XPDLTransitionNode methodsFor: '*orbeonBizagiSvgConverter' stamp: 'BrunoBB 09/10/2016 14:33'!
drawOn: aJasvgiBpmCanvas
	| transition |

	transition := 
		aJasvgiBpmCanvas 
			connect: (aJasvgiBpmCanvas getJasvgiTagNamed: startNode getName)
			to: (aJasvgiBpmCanvas getJasvgiTagNamed: endNode getName)
			color: self getColor.

	transition setMarkerEnd: 'arrow'! !

!XPDLObject2 methodsFor: '*orbeonBizagiSvgConverter' stamp: 'BrunoBB 09/10/2016 08:23'!
drawOn: aJasvgiBpmCanvas! !

!XPDLGatewayNode methodsFor: '*orbeonBizagiSvgConverter' stamp: 'BrunoBB 09/10/2016 08:32'!
drawOn: aJasvgiBpmCanvas

	^aJasvgiBpmCanvas drawGatewayAt: self getXcoordinate @ self getYcoordinate id: self getName! !

!XPDLStartNode methodsFor: '*orbeonBizagiSvgConverter' stamp: 'BrunoBB 09/10/2016 08:22'!
drawOn: aJasvgiBpmCanvas

	^aJasvgiBpmCanvas drawStartNamed: self getName at: self getXcoordinate @ self getYcoordinate! !

!XPDLEventNode methodsFor: '*orbeonBizagiSvgConverter' stamp: 'BrunoBB 09/10/2016 08:21'!
drawOn: aJasvgiBpmCanvas

	^aJasvgiBpmCanvas drawEventNamed: self getName at: self getXcoordinate @ self getYcoordinate! !

!XPDLActivityNode methodsFor: '*orbeonBizagiSvgConverter' stamp: 'BrunoBB 09/10/2016 15:02'!
drawOn: aJasvgiBpmCanvas

	^aJasvgiBpmCanvas
		drawActivityNamed: self getName 
		at: self getXcoordinate @ self getYcoordinate
		color: self getColor
		stroke: self getStrokeColor! !

Object subclass: #XpdlSvgConverter
	instanceVariableNames: 'xpdlString'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBizagiSvgConverter'!

XpdlSvgConverter subclass: #BizagiSvgConverter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBizagiSvgConverter'!

!XpdlSvgConverter class methodsFor: 'other' stamp: 'BrunoBB 09/10/2016 07:33'!
convert: xpdlString

	^super new initialize
		xpdlString: xpdlString;
		yourself! !

!XpdlSvgConverter methodsFor: 'other' stamp: 'BrunoBB 09/10/2016 12:31'!
generateSVG
	| xpdlReader svgCanvas |

	xpdlReader := XPDLReader2 for: 'convert' withString: xpdlString.
	svgCanvas := JASVGIBpmCanvas newWidth: '1000px' height: '1000px'.
	svgCanvas addMarker: (JASVGITagMarker newArrowAt: 10@5 id: 'arrow' width: 10 height:10).

	xpdlReader getAllWorkflows do: [:eachWorkflow | 
		eachWorkflow activities do: [:eachActivityNode | eachActivityNode drawOn: svgCanvas].
		eachWorkflow transitions do: [:eachTransition | eachTransition drawOn: svgCanvas].
	].

	^svgCanvas contents! !

!XpdlSvgConverter methodsFor: 'Accessing' stamp: 'BrunoBB 09/10/2016 07:32'!
xpdlString
	^xpdlString! !

!XpdlSvgConverter methodsFor: 'Updating' stamp: 'BrunoBB 09/10/2016 07:32'!
xpdlString: newValue
	xpdlString := newValue! !
